%define name pptpd-server
%define realname pptpd
%define version 1.1.2
%define release 0.3mdk

Summary: PoPToP Linux VPN server 
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Networking/Other
Source0: %{realname}-%{version}.tar.bz2
Source1: pptpd
URL: http://www.moretonbay.com/vpn/pptp.html
Provides: pptpd
Requires: tcp_wrappers
Buildroot: %{_tmppath}/%{name}-buildroot

%description
PoPToP is the PPTP server solution for Linux (ports exist for Solaris
2.6, OpenBSD and FreeBSD and other). To date no real solution existed
if you wished to include Linux server in PPTP established VPNs. PoPToP
resolves that problem by allowing Linux servers to function seamlessly
in the PPTP VPN environment. This enables administrators to leverage
the considerable benifits of both Microsoft and Linux. The current
release supports Windows 9x/NT/2000 PPTP clients and PPTP Linux
clients. PoPToP is free GNU software.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{realname}-%{version}

%build
%configure --with-libwrap --with-pppd-ip-alloc
%make all
# remove samples CVS directory so that it is not included
rm -rf samples/CVS

%install
install -m 755 -d $RPM_BUILD_ROOT%{_sbindir}
install -m 755 pptpd $RPM_BUILD_ROOT%{_sbindir}
install -m 755 pptpctrl $RPM_BUILD_ROOT%{_sbindir}
install -m 755 -d $RPM_BUILD_ROOT%{_sysconfdir}
install -m 755 samples/pptpd.conf $RPM_BUILD_ROOT%{_sysconfdir}
install -m 755 -d $RPM_BUILD_ROOT%{_mandir}/man5
install -m 755 -d $RPM_BUILD_ROOT%{_mandir}/man8
install -m 755 pptpd.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5
install -m 755 pptpctrl.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -m 755 pptpd.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -m 755 -d $RPM_BUILD_ROOT/etc/rc.d/init.d

install -m 755 %SOURCE1 $RPM_BUILD_ROOT/etc/rc.d/init.d/

%post
/sbin/chkconfig --add pptpd
/etc/rc.d/init.d/pptpd start

%preun
/sbin/chkconfig --del pptpd

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc AUTHORS Anon-CVS-Root COPYING ChangeLog ChangeLog-0.8 INSTALL README README.inetd README.slirp TODO html/setup_pptp_client.html samples/
%doc html/{HOWTO-IPX+PPTP.txt,HOWTO-PoPToP.txt}
%{_sbindir}/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%config(noreplace) %{_sysconfdir}/pptpd.conf
%config(noreplace) %{_sysconfdir}/rc.d/init.d/pptpd

%changelog
* Mon Mar 03 2003  Lenny Cartier <lenny@mandrakesoft.com> 1.1.2-0.3mdk
- fix call to right initscript in preun section rather than in post
- add missing clean section

* Wed Nov 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.2-0.2mdk
- initscript (Todd)
- remove /etc/rc.d/init.d/pptpd.conf

* Thu Feb 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.2-0.1mdk
- 1.1.2

* Thu Jan 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- updated to 1.0.1

* Thu Sep 14 2000  Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1mdk
- rebuild

* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9.17-2mdk
- fix group
- fix files section

* Wed Oct 13 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Specfile adaptation.
